%global srcname pytest-filter-subpackage
%global pythonicname pytest_filter_subpackage


Name:           python-%{srcname}
Version:        0.2.0
Release:        %mkrel 1
Summary:        Pytest plugin for filtering based on sub-packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%package -n  python3-%{srcname}
Summary:        Pytest plugin for filtering based on sub-packages
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{srcname}
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%prep
%autosetup -n %{srcname}-%{version}

# Remove egg files from source


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_filter_subpackage


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst CHANGES.rst


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 0.2.0-1.mga10
+ Revision: 2077784
- new version 0.2.0

* Fri Dec 08 2023 wally <wally> 0.1.1-5.mga10
+ Revision: 2015719
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.1.1-4.mga9
+ Revision: 1824786
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.1.1-3.mga9
+ Revision: 1775812
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.1.1-2.mga9
+ Revision: 1717255
- rebuild to fix auto generated provides

* Sun Mar 21 2021 joequant <joequant> 0.1.1-1.mga9
+ Revision: 1707066
- fix headers
- imported package python-pytest-filter-subpackage

